org.firebirdsql.jna.fbclient

## Interface FbClientLibrary.FbShutdownCallback

All Superinterfaces:
  com.sun.jna.Callback

All Known Subinterfaces:
  WinFbClientLibrary.FbShutdownStdCallback

Enclosing interface:
  FbClientLibrary

    public static interface FbClientLibrary.FbShutdownCallback
    extends com.sun.jna.Callback

FbShutdown callback.

Important: On windows, use `WinFbClientLibrary.FbShutdownStdCallback`

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.sun.jna.Callback

`com.sun.jna.Callback.UncaughtExceptionHandler`

### Field Summary

### Fields inherited from interface com.sun.jna.Callback

`FORBIDDEN_NAMES, METHOD_NAME`

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `apply(int reason, int mask, com.sun.jna.Pointer arg)`

### Method Detail

#### apply

    int apply(int reason,
              int mask,
              com.sun.jna.Pointer arg)